Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class Attributes

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.Attributes

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class Attributes
extends ASN1Object

RFC 5652 defines 5 "SET OF Attribute" entities with 5 different names. This is common implementation for them all: SignedAttributes ::= SET SIZE (1..MAX) OF Attribute UnsignedAttributes ::= SET SIZE (1..MAX) OF Attribute UnprotectedAttributes ::= SET SIZE (1..MAX) OF Attribute AuthAttributes ::= SET SIZE (1..MAX) OF Attribute UnauthAttributes ::= SET SIZE (1..MAX) OF Attribute Attributes ::= SET SIZE(1..MAX) OF Attribute

Constructor Summary
`Attributes(ASN1EncodableVector v)`

Method Summary
`Attribute[]` | `getAttributes()`
`static Attributes` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static Attributes` | `getInstance(java.lang.Object obj)` Return an Attribute set object from the given object.
`static Attributes` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attributes

    public Attributes(ASN1EncodableVector v)

Method Detail

### getInstance

    public static Attributes getInstance(java.lang.Object obj)

  Return an Attribute set object from the given object.

  Accepted inputs: null → null `Attributes` object `ASN1Set` input formats with Attributes structure inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static Attributes getInstance(ASN1TaggedObject taggedObject,
                                         boolean declaredExplicit)

### getTagged

    public static Attributes getTagged(ASN1TaggedObject taggedObject,
                                       boolean declaredExplicit)

### getAttributes

    public Attribute[] getAttributes()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD